Package org.apache.sling.installer.api.serializer

# Interface ConfigurationSerializer

All Known Implementing Classes:
  `ConfigConfigurationSerializer`, `JsonConfigurationSerializer`, `PropertiesConfigurationSerializer`

public interface ConfigurationSerializer

## Method Summary

Modifier and Type
Method
Description
`void`
`serialize(@NotNull Dictionary<String,Object> dictionary, @NotNull OutputStream outputStream)`
Serializes the given dictionary (usually retrieved from OSGi Config Admin) into a specific format.

## Method Details

### serialize

void serialize(@NotNull @NotNull Dictionary<String,Object> dictionary, @NotNull @NotNull OutputStream outputStream) throws IOException
Serializes the given dictionary (usually retrieved from OSGi Config Admin) into a specific format. Leaves the output stream open.

Parameters:
  `dictionary` -
  `outputStream` -
Throws:
  `IOException`